%define pypi_name dropbox

Name:           python-%{pypi_name}
Version:        3.41
Release:        %mkrel 1
Summary:        Official Dropbox REST API Client
License:        MIT
Group:          Development/Python
URL:            https://www.dropbox.com/developers/core/sdks
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# Don't install tests
Patch0:         %{pypi_name}-setuptools.patch

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-urllib3
BuildRequires:  python-tools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-urllib3

%description
A Python library for Dropbox's HTTP-based Core and Datastore APIs.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Official Dropbox REST API Client

%description -n python3-%{pypi_name}
A Python library for Dropbox's HTTP-based Core and Datastore APIs.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python|#!%{__python3}|'

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc README.rst 
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst 
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Tue Nov 24 2015 philippem <philippem> 3.41-1.mga6
+ Revision: 905817
- update to 3.41

* Tue Oct 13 2015 philippem <philippem> 3.22-1.mga6
+ Revision: 890487
- update to 3.22

* Sat Oct 10 2015 tv <tv> 2.1.0-5.mga6
+ Revision: 888988
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 739746
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.0-3.mga5
+ Revision: 728377
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-2.mga5
+ Revision: 688009
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 philippem <philippem> 2.1.0-1.mga5
+ Revision: 666454
- imported package python-dropbox

